summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAmrith Kumar <amrith@tesora.com>2016-03-02 06:34:08 -0500
committerAmrith Kumar <amrith@tesora.com>2016-04-17 07:56:51 -0400
commitc8020fff45a46489009adc538f6e89865ec03517 (patch)
treee395d9f58f43ef9c8c7137a131bba0a86c57fd62
parent8dc1948a3a21d30b84eed7b4b42db62a7c835388 (diff)
downloadtrove-integration-c8020fff45a46489009adc538f6e89865ec03517.tar.gz
Don't reset HOME in redstack
Currently redstack resets HOME as the first thing that it does. It isn't particlularly apparent why this is required; it may have been needed in a long ago time when paths to thing were trove-integrations/scripts relative but they aren't now. Change-Id: If0f7329ea37f6d92f10b815c7a96eaee97d8b6d4 Closes-Bug: #1552048
-rwxr-xr-xscripts/redstack14
1 files changed, 3 insertions, 11 deletions
diff --git a/scripts/redstack b/scripts/redstack
index a0d9651..9b53921 100755
--- a/scripts/redstack
+++ b/scripts/redstack
@@ -173,16 +173,8 @@ function pkg_update () {
}
function set_home_dir() {
- self="${0#./}"
- base="${self%/*}"
- current=`pwd`
- if [ "$base" = "$self" ] ; then
- HOME="$current/"
- elif [[ $base =~ ^/ ]]; then
- HOME="$base/"
- else
- HOME="$current/$base/"
- fi
+ exclaim "set_home_dir has been nooped."
+ exit 1
}
function set_http_proxy() {
@@ -1240,7 +1232,7 @@ fi
# Set this to exit immediately on error
set -o errexit
-set_home_dir
+# set_home_dir
set_http_proxy
set_trove_plugin_vars false